IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[mps_check_page_power]') AND type = 'P')
DROP PROCEDURE [dbo].[mps_check_page_power]
GO

CREATE procedure [dbo].[mps_check_page_power] 
@cmpid int ,
@pagename varchar(50),
@usertype int ,
@useruid int ,
@useradmin int ,
@ip varchar(30),
@domain varchar(100) ,
@returnvalue int  output,
@message nvarchar(200)  output 
as
begin
  -- 这段程序是用来判断，当前页面是否可以使用
  -- 0 表示可以使用 非0表示不能使用，同时返回原因
  set @returnvalue = 0
  set @message = ''
end